List account sources
curl --request GET \
--url https://api.getoneprofile.ai/accounts/sources/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.getoneprofile.ai/accounts/sources/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.getoneprofile.ai/accounts/sources/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getoneprofile.ai/accounts/sources/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getoneprofile.ai/accounts/sources/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getoneprofile.ai/accounts/sources/")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getoneprofile.ai/accounts/sources/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"account_count": 123,
"awaits_index": true,
"candidates": [
{
"column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"column_name": "<string>"
}
],
"columns": [
{
"column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"column_name": "<string>",
"evidence": "chosen",
"role": "website"
}
],
"company_column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"indexed_at": "2023-11-07T05:31:56Z",
"left_off": [
{
"reason": "company_name_only",
"record_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"row_count": 123
}
],
"manager_candidates": [
{
"column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"column_name": "<string>"
}
],
"manager_column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"manager_options": [
{
"column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"column_name": "<string>"
}
],
"reason": "no_company_column",
"row_count": 123,
"row_kind": "company",
"show_on_accounts": true,
"status": "linked",
"table_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"table_name": "<string>",
"sole_account_key": "<string>"
}
],
"next_page_cursor": "<string>",
"previous_page_cursor": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>",
"issues": [
{
"input": "<string>",
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}accounts
List account sources
List every table the Accounts page has looked at, and for each whether it feeds accounts, which columns its rows are read through and why, or why it does not, and the rows it leaves on no account and why (left_off).
GET
/
accounts
/
sources
/
List account sources
curl --request GET \
--url https://api.getoneprofile.ai/accounts/sources/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.getoneprofile.ai/accounts/sources/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.getoneprofile.ai/accounts/sources/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getoneprofile.ai/accounts/sources/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getoneprofile.ai/accounts/sources/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getoneprofile.ai/accounts/sources/")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getoneprofile.ai/accounts/sources/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"account_count": 123,
"awaits_index": true,
"candidates": [
{
"column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"column_name": "<string>"
}
],
"columns": [
{
"column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"column_name": "<string>",
"evidence": "chosen",
"role": "website"
}
],
"company_column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"indexed_at": "2023-11-07T05:31:56Z",
"left_off": [
{
"reason": "company_name_only",
"record_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"row_count": 123
}
],
"manager_candidates": [
{
"column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"column_name": "<string>"
}
],
"manager_column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"manager_options": [
{
"column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"column_name": "<string>"
}
],
"reason": "no_company_column",
"row_count": 123,
"row_kind": "company",
"show_on_accounts": true,
"status": "linked",
"table_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"table_name": "<string>",
"sole_account_key": "<string>"
}
],
"next_page_cursor": "<string>",
"previous_page_cursor": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>",
"issues": [
{
"input": "<string>",
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}Authorizations
APIKeyHeaderHTTPBearer
Query Parameters
The number of items to return.
Required range:
1 <= x <= 100Available options:
name Available options:
asc, desc Set the cursor to the next or previous page. You can get the cursor from the previous page's response.
Response
Successful Response
Was this page helpful?